#include <HerkuleX.h>
#include <SoftwareSerial.h>

#define RX   8        // Connected with HerkuleX TX Pin
#define TX   9        // Connected with HerkuleX RX Pin

void setup()  
{
  Serial.begin(9600);    // Open serial communications (PC <-> Arduino)

  HerkuleX.beginSoftwareSerial(115200, RX, TX);  // (Arduino <-> HerkuleX)
  delay(10);

  int id = 253;
  HerkuleX.torqueOn(id);    // Torque ON
  HerkuleX.clear(id);
  
  HerkuleX.changeBaudrate(id, 57600); // 115200 -> 57600
  delay(1000);
  
  HerkuleX.beginSoftwareSerial(57600, RX, TX); // open again with 57600
  HerkuleX.movePos(id, 789, 1, HERKULEX_LED_BLUE);
  delay(100);
  HerkuleX.movePos(id, 512, 1, HERKULEX_LED_GREEN);
}

void loop() // run over and over
{  
}
